@import url('https://fonts.googleapis.com/css2?family=Inter:ital,opsz,wght@0,14..32,100..900;1,14..32,100..900&family=Poppins:ital,wght@0,100;0,200;0,300;0,400;0,500;0,600;0,700;0,800;0,900;1,100;1,200;1,300;1,400;1,500;1,600;1,700;1,800;1,900&display=swap');

:root {
    --accent-color: #3b3a3c;
    --base-color: white;
    --text-color: #161616;
    --input-color: #f5c2fb;
}

* {
    margin: 0;
    padding: 0;
}

html {
    font-family: poppins, sans-serif, inter;
    font-size: 12pt;
    color: var(--text-color);
    text-align: center;
}

body {
    min-height: 100vh;
    background-image: url(christopher-gower-m_HRfLhgABo-unsplash.jpg);
    background-size: cover;
    background-position: center; /* Ensures the image is centered */
    background-repeat: no-repeat; /* Prevents the image from repeating */
    overflow: hidden;
}
.wrapper {
    box-sizing: border-box;
    background-color: var(--base-color);
    height: 100vh;
    width: max(40%, 600px);
    padding: 10px;
    border-radius: 0 20px;
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
}

h1 {
    font-size: 3rem;
    font-weight: 900;
}

form {
    width: min(400px, 100%);
    margin-top: 20px;
    margin-bottom: 50px;
    display: flex;
    flex-direction: column;
    align-items: center;
    gap: 10px;

}

form>div {
    width: 100%;
    display: flex;
    justify-content: center;
}

form label {
    flex-shrink: 0;
    height: 45px;
    width: 50px;
    background-color: var(--accent-color);
    fill: var(--base-color);
    color: var(--base-color);
    border-radius: 10px 0 0 10px;
    display: flex;
    justify-content: center;
    align-items: center;
    font-size: 1.5rem;
    font-weight: 500;
}

form input {
    box-sizing: border-box;
    flex-grow: 1;
    min-width: 0;
    height: 45px;
    padding: 1em;
    font: inherit;
    border-radius: 0 10px 10px 0;
    border-left: none;
    border: 2px solid var(--input-color);
    background-color: var(--input-color);
    transition: 100ms ease-in-out;
}

form input:hover {
    border-color: var(--accent-color);
}

form input:focus {
    outline: none;
    border-color: var(--text-color);
}

div:has(input:focus)>label {
    background-color: var(--text-color);
}

form input::placeholder {
    color: var(--text-color);
    opacity: .7;
}

form button {
    margin-top: 10px;
    border: none;
    border-radius: 1000px;
    padding: .85em 4em;
    background-color: var(--accent-color);
    color: var(--base-color);
    font: inherit;
    font-weight: 600;
    cursor: pointer;
    text-transform: uppercase;
    transition: 150ms ease;

}

form button:hover {
    background-color: var(--text-color);
}

form button:focus {
    outline: none;
    background-color: var(--text-color);
}

a {
    text-decoration: none;
    color: var(--accent-color);
}

a:hover {
    text-decoration: underline;
}

form div.incorrect label {
    background-color: #fc4040;
}

form div.incorrect input {
    border-color: #fc4040;
}

#error-message {
    color: #fc4040;
}

@media(max-width: 1024px) {
    .wrapper {
        width: min(600px, 100%);
        border-radius: 0;
    }
}